import theater.*;


public class Baby extends AdvancedActor {
    final static double speed = 5.0;
    Cell after;

    public Baby() {
        setImage("baby.gif");
    }

    public void run() {
        while (true) {
            geheZumTeller();

            Essen essen = nimmEssen();
            geheZumKlo(essen);
        }
    }

    private void geheZumTeller() {
        Cell cell = new Cell(Zufall.zufall(500, 700), Zufall.zufall(350, 440));

        while (!cell.intersects(this)) {
            int direction = (int) getRotation(cell.getCol(), cell.getRow());
            move(direction, speed);
        }

        Teller teller = ((Haus) getStage()).getTeller();

        while (!intersects(teller)) {
            int direction = (int) getRotation(teller.getColumn(),
                    teller.getRow());
            move(direction, speed);
        }
    }

    private Essen nimmEssen() {
        Teller teller = ((Haus) getStage()).getTeller();

        after = new Cell(Zufall.zufall(500, 700), Zufall.zufall(50, 100));

        return teller.essenWegnehmen(this, after);
    }

    private void geheZumKlo(Essen essen) {
        while (!after.intersects(this)) {
            int direction = (int) getRotation(after.getCol(), after.getRow());
            move(direction, speed);
            essen.setLocation(this.getColumn(), this.getRow());
        }

        Klo klo = ((Haus) getStage()).getKlo();

        while (!new Cell(klo.getColumn(), klo.getRow()).intersects(this)) {
            int direction = (int) getRotation(klo.getColumn(), klo.getRow());
            move(direction, speed);
            essen.setLocation(this.getColumn(), this.getRow());
        }

        getStage().remove(essen);
    }
}
