import theater.*;

import java.util.Vector;


public class Haus extends Stage {
    static int TELLER_X = 400;
    static int TELLER_Y = 250;
    static int KUECHE_X = 30;
    static int KUECHE_Y = 250;
    static int KLO_X = 750;
    static int KLO_Y = 250;
    static int ANZAHL_ESSEN = 20;
    private Teller teller;
    private Vector<Essen> speisen;
    private Klo klo;

    public Haus() {
        super(800, 500, 1);
        teller = new Teller();
        add(teller, TELLER_X, TELLER_Y);

        klo = new Klo();
        add(klo, KLO_X, KLO_Y);

        speisen = new Vector<Essen>();

        for (int i = 0; i < ANZAHL_ESSEN; i++) {
            Essen essen = new Essen();
            add(essen, KUECHE_X, KUECHE_Y);
        }
    }

    public Klo getKlo() {
        return klo;
    }

    public Teller getTeller() {
        return teller;
    }

    public Essen getEssen() {
        return speisen.remove(speisen.size() - 1);
    }

    public boolean essenVorhanden() {
        return speisen.size() > 0;
    }

    Vector<Essen> getSpeisen() {
        return speisen;
    }
}
