import theater.*;


public class Essen extends Prop {
    private boolean genommen;

    public Essen() {
        setImage("essen" + Zufall.zufall(0, 6) + ".png");
        this.genommen = false;
    }

    public void addedToStage(Stage stage) {
        Haus haus = (Haus) stage;
        haus.getSpeisen().add(this);
    }

    public void setLocation(int col, int row) {
        if (!genommen) {
            super.setLocation(Haus.KUECHE_X, Haus.KUECHE_Y);
        } else {
            super.setLocation(col, row);
        }
    }

    void nehmen() {
        this.genommen = true;
    }

    boolean genommen() {
        return this.genommen;
    }
}
